Bug 1312981 - Changing cdn url takes a long time and spins for for a long time
Changing cdn url takes a long time and spins for for a long time
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management (Show other bugs)
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Performance, Triaged
Depends On:
  Show dependency treegraph
Reported: 2016-02-29 12:04 EST by Justin Sherrill
Modified: 2018-03-21 01:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2016-02-29 12:04:03 EST
Description of problem:

Changing the cdn url takes a very very long time.

Version-Release number of selected component (if applicable):
6.2.0 snap1

How reproducible:

Steps to Reproduce:
1. Enable ~30 redhat repos
2. Under content > subscriptions> manifest  change the cdn url
3. It sits there in a single request and goes to pulp to update every repo taking a long long time.  

This should likely be an async operation, or work done to speed it up.
Comment 1 Bryan Kearney 2016-07-26 15:03:15 EDT
Moving 6.2 bugs out to sat-backlog.

Note You need to log in before you can comment on or make changes to this bug.